/***************************************************************************
                          graview.cpp  -  description
                             -------------------
    begin                : Don Nov 20 23:54:54 CET 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kmessagebox.h>
#include <qstring.h>

 
// include files for Qt
#include <qprinter.h>
#include <qpainter.h>
#include <qpixmap.h>

// application specific includes
#include "kphysicsview.h"
#include "kphysicsdoc.h"
#include "kphysics.h"

GraView::GraView(QWidget *parent, const char *name) : QWidget(parent, name)
{
  setBackgroundMode(PaletteBase);
}

GraView::~GraView()
{
}

GraDoc *GraView::getDocument() const
{
  GraApp *theApp=(GraApp *) parentWidget();

  return theApp->getDocument();
}

void GraView::print(QPrinter *pPrinter)
{
  GraApp *theApp=(GraApp *) parentWidget();
  int i=theApp->i;
  KMessageBox::error(this,QString::number(i));

/*Painter p(&pr);
	QPaintDeviceMetrics metrics(&pr);
	// translate to center
	p.translate(metrics.width() / 2 - course->rect().width() / 2, metrics.height() / 2 - course->rect().height() / 2);
	QPixmap pix(width, height);
	QPainter pixp(&pix);
	course->drawArea(course->rect(), &pixp);
	p.drawPixmap(0, 0, pix);
	p.setPen(QPen(black, 2));
	p.drawRect(course->rect());
	p.resetXForm();  */


  
  
  QPainter printpainter(pPrinter);
  //printpainter.begin(pPrinter);
  //theApp->myCanvas->drawArea( QRect(0,0,400,400), &printpainter );
  //theApp->myCanvas->drawArea(theApp->myCanvas->rect(),&printpainter);

	QPixmap pix(400, 400);
	QPainter pixp(&pix);
//	theApp->myCanvas->drawArea(QRect(0,0,400,400)/*course->rect()*/, &pixp);
	printpainter.drawPixmap(0, 0, pix);
//rintpainter.setPen(QPen(black, 2));
//rintpainter.drawRect(course->rect());
	printpainter.resetXForm();
  
  // TODO: add your printing code here
  //printpainter.drawEllipse(20,20,10,10);
  //printpainter.end();
}
