/***************************************************************************
                          mykugel.cpp  -  description
                             -------------------
    begin                : Son Dez 28 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mykugel.h"

#include "vector.h"
#include "math.h"

//GraApp::GraApp(QWidget* , const char* name):KMainWindow(0, name)

MyKugel::MyKugel(QCanvas* qc):QCanvasEllipse(qc)
{
 setmasse(1);
 setwinkel(0);
 setradius(5);
 setvel(0);
 setSize(getradius()*2,getradius()*2);
    //kugel[i]->setAngles(0,360);
 setEnabled(true);
 setVisible(true);
    //myPen = new QPen(red,2);
 //   kugel[i]->setPen(QPen(black,3,SolidLine));//myPen);
 //   kugel[i]->setBrush( QBrush( red,SolidPattern ) );
    
}

  
MyKugel::~MyKugel()
{
}

/** Read property of double winkel. */
const double& MyKugel::getwinkel(){
	return winkel;
}
/** Write property of double winkel. */
void MyKugel::setwinkel( const double& _newVal){
	winkel = _newVal;
}
/** Read property of double vel. */
const double& MyKugel::getvel(){
	return vel;
}
/** Write property of double vel. */
void MyKugel::setvel( const double& _newVal){
	vel = _newVal;
}
/** Read property of double masse. */
const double& MyKugel::getmasse(){
	return masse;
}
/** Write property of double masse. */
void MyKugel::setmasse( const double& _newVal){
	masse = _newVal;
}
/** Read property of double radius. */
const double& MyKugel::getradius(){
	return radius;
}
/** Write property of double radius. */
void MyKugel::setradius( const double& _newVal){
  setSize(_newVal*2,_newVal*2);
	radius = _newVal;
}
/** No descriptions */
void MyKugel::beschl(const Vector& vec){
  Vector *vec2;
  vec2=new Vector(vel,winkel/180*M_PI) ;
  vel=(*vec2+vec).magnitude();
  winkel=(*vec2+vec).direction()/M_PI*180;
}
