
/***************************************************************************
                          mykugel.h  -  description
                             -------------------
    begin                : Son Dez 28 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYKUGEL_H
#define MYKUGEL_H

#include <qcanvas.h>
#include <vector.h>

/**
  *@author 
  */
class MyKugel : public QCanvasEllipse
{
//  Q_OBJECT
public:

  MyKugel(QCanvas* qc);
  ~MyKugel();

  /** Write property of double winkel. */
  virtual void setwinkel( const double& _newVal);
  /** Read property of double winkel. */
  virtual const double& getwinkel();
  /** Write property of double vel. */
  virtual void setvel( const double& _newVal);
  /** Read property of double vel. */
  virtual const double& getvel();
  /** Write property of double masse. */
  virtual void setmasse( const double& _newVal);
  /** Read property of double masse. */
  virtual const double& getmasse();
  /** Write property of double radius. */
  virtual void setradius( const double& _newVal);
  /** Read property of double radius. */
  virtual const double& getradius();
  /** The velocity of the ball */
  /** No descriptions */
  void beschl(const Vector& vec);
private:  
  double vel;
  double winkel;
  double radius;
  double masse;

  };
#endif
